Page MenuHomePhabricator

Make an ingenicio variant with separate page instead of iframe
Closed, ResolvedPublic2 Story Points

Description

Make a separate variant in case we need to switch over due to iframe bugs. Iframe variant should not be affected.

Event Timeline

DStrine created this task.Nov 13 2018, 8:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 13 2018, 8:37 PM
jgleeson claimed this task.Nov 15 2018, 5:50 PM

Read https://phabricator.wikimedia.org/T176913 for background on the same task for adyen

Change 475221 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Simple override to force redirect

https://gerrit.wikimedia.org/r/475221

jgleeson reassigned this task from jgleeson to Ejegg.Nov 21 2018, 11:59 PM
jgleeson added a subscriber: jgleeson.

Change 476766 had a related patch set uploaded (by XenoRyet; owner: XenoRyet):
[mediawiki/extensions/DonationInterface@master] Ingenico Full Redirect

https://gerrit.wikimedia.org/r/476766

That change does a full redirect when isIframe returns false, but the resulting page looks kind of silly as it's styled for the iFrame. To be donor-ready we probably need to have something better looking there, but this does function as-is.

I'll look into making it possible to select different ingenico-side variants depending on whether or not we're in an iFrame. That kind of change isn't something we'd normally do in a code freeze, but I'll try to have something ready in case we need it for some kind of Unbreak Now situation.

XenoRyet added a subscriber: Ejegg.

Created an Ingenico-side variant. It's still pretty simple, but it has the logo and is recognizable as part of our flow. It's on the Configuration Center if anyone wants to check it out.

Change 479009 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Full redirect for Ingenico

https://gerrit.wikimedia.org/r/479009

Change 475221 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Simple override to force redirect

https://gerrit.wikimedia.org/r/475221

Change 479009 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Full redirect for Ingenico

https://gerrit.wikimedia.org/r/479009

As per the conversation in standup today, while this is rough around the edges, it does serve the intended purpose of an emergency backup option. Moving to done, and maybe we can have a new ticket to polish it up more later.

Change 476766 abandoned by XenoRyet:
Ingenico Full Redirect

Reason:
Competing patch was a better solution

https://gerrit.wikimedia.org/r/476766

XenoRyet closed this task as Resolved.Jan 8 2019, 8:52 PM
XenoRyet set the point value for this task to 2.Jun 25 2019, 5:44 PM